{"openapi":"3.0.1","info":{"title":"\"Cim Person\"","contact":{"name":"CNP - CIM Team","email":"\"squad-casi-dsi-cnp-ab@cnp.fr\""},"version":"9.11.0-rc2"},"servers":[{"url":"/person/"}],"security":[{"cim-token":[],"BearerToken":[]}],"tags":[{"name":"Relation","description":"Operations pertaining relations between persons."},{"name":"LAT","description":"Operations using lat service"},{"name":"Person","description":"Operations pertaining to the consultation of persons."},{"name":"Provider","description":"Operations pertaining provider persons."},{"name":"Customer Bank","description":"Operations on customer bank."}],"paths":{"/person":{"get":{"tags":["Person"],"summary":"Load person by criteria","operationId":"loadPersonUnique","parameters":[{"name":"birthDate","in":"query","description":"Person birth date","required":false,"schema":{"type":"string","format":"date"}},{"name":"completeName","in":"query","description":"Complete name","required":false,"schema":{"type":"string"}},{"name":"firstName","in":"query","description":"Person first name","required":false,"schema":{"type":"string"}},{"name":"lastName","in":"query","description":"Person family name","required":false,"schema":{"type":"string"}},{"name":"socialSecurityNumber","in":"query","description":"Social security number","required":false,"schema":{"type":"string"}},{"name":"birthRank","in":"query","description":"Birth rank","required":false,"schema":{"type":"string"}},{"name":"patronymicName","in":"query","description":"Patronymic name","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"Zero-indexed offset","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"limit","in":"query","description":"Maximum of items returned","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sorters","in":"query","description":"Properties to sort results with, prefix by + for ascending or - for descending","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Person found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Person not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}},"post":{"tags":["Person"],"summary":"Create person","operationId":"createPerson","parameters":[{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the person to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Person"}}},"required":true},"responses":{"201":{"description":"Person created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/person/{idPerson}/relation":{"post":{"tags":["Relation"],"summary":"Create relation","operationId":"createRelation","parameters":[{"name":"idPerson","in":"path","description":"The identifier of the person on which create the relation","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Detail of the relation to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Relation"}}},"required":true},"responses":{"201":{"description":"Relation created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelationResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Person not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/person/{idPerson}/bank-details":{"get":{"tags":["Person"],"summary":"Search person bank details","operationId":"searchPersonBankDetails","parameters":[{"name":"idPerson","in":"path","description":"The person's identifier","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"The maximum number of bank details recovered","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Person bank details found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankDetailsListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}},"post":{"tags":["Person"],"summary":"Create person bank details","operationId":"createPersonBankDetails","parameters":[{"name":"idPerson","in":"path","description":"The person's identifier","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the person's bank detail","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankDetails"}}},"required":true},"responses":{"201":{"description":"Person bank details created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankDetailsResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Person not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/person-fsk":{"post":{"tags":["LAT"],"summary":"Check if the person is concerned by the asset freeze or if the person is politically exposed","operationId":"checkPerson","parameters":[{"name":"unit","in":"query","description":"Type of company","required":true,"schema":{"type":"string","enum":["PROVIDENT","IARD","HEALTH"]},"example":"IARD"},{"name":"userId","in":"query","description":"User identifier (max size 50)","required":true,"schema":{"type":"string"},"example":1200042},{"name":"partner","in":"query","description":"The partner using the service, external purpose only","required":false,"schema":{"type":"string","default":"CLEVAV17"},"example":"TESSI"},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Person to check","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonFsk"}}},"required":true},"responses":{"200":{"description":"Person Fsk status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusFskResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/person-fsk-full":{"post":{"tags":["LAT"],"summary":"Check if the list of persons are concerned by the asset freeze or if the list of persons are politically exposed","operationId":"checkPersons","parameters":[{"name":"unit","in":"query","description":"Type of company","required":true,"schema":{"type":"string","enum":["PROVIDENT","IARD","HEALTH"]},"example":"IARD"},{"name":"userId","in":"query","description":"User identifier (max size 50)","required":true,"schema":{"maxLength":50,"minLength":0,"type":"string"},"example":1200042},{"name":"partner","in":"query","description":"The partner using the service, external purpose only","required":false,"schema":{"type":"string","default":"CLEVAV17"},"example":"TESSI"},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Persons to check","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersonFsk"}}}},"required":true},"responses":{"200":{"description":"Persons Fsk status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FullStatusFskResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/person-fmf":{"post":{"tags":["LAT"],"summary":"Check that a person is authorized to receive a settlement","operationId":"checkSettlement","parameters":[{"name":"partner","in":"query","description":"The partner using the service, external purpose only","required":false,"schema":{"type":"string","default":"CLEVA"},"example":"TESSI"},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details required for FMF call","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InterrogationFmf"}}},"required":true},"responses":{"200":{"description":"Person Fmf Status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonFmfResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/customer":{"get":{"tags":["Person"],"summary":"Search customer by criteria","operationId":"searchCustomer","parameters":[{"name":"completeName","in":"query","description":"Family name and first name","required":false,"schema":{"type":"string"}},{"name":"auxiliaryCode","in":"query","description":"Customer code","required":false,"schema":{"type":"string"},"example":"C-0154"},{"name":"externalReference","in":"query","description":"Customer external reference","required":false,"schema":{"type":"string"},"example":"E-12345678"},{"name":"phoneNumber","in":"query","description":"Customer phone number","required":false,"schema":{"pattern":"(^$)|(^((?:\\+|00)(9[976]\\d|8[987530]\\d|6[987]\\d|5[90]\\d|42\\d|3[875]\\d|2[98654321]\\d|9[8543210]|8[6421]|6[6543210]|5[87654321]|4[987654310]|3[9643210]|2[70]|7|1)|0)\\d{9}$)","type":"string"},"example":"0606060606"},{"name":"email","in":"query","description":"Customer email","required":false,"schema":{"type":"string"},"example":"email@domain.com"},{"name":"countryCode","in":"query","description":"Customer country code","required":false,"schema":{"type":"string"},"example":"FR"},{"name":"accountManagerLogin","in":"query","description":"The login of the manager that manage the account","required":false,"schema":{"type":"string"}},{"name":"familyName","in":"query","description":"Family name","required":false,"schema":{"type":"string"}},{"name":"firstName","in":"query","description":"First name","required":false,"schema":{"type":"string"}},{"name":"maidenName","in":"query","description":"Customer maiden name","required":false,"schema":{"type":"string"}},{"name":"personId","in":"query","description":"Person identifier","required":false,"schema":{"type":"string"}},{"name":"birthDate","in":"query","description":"Birth date of the customer","required":false,"schema":{"type":"string","format":"date"}},{"name":"zipCode","in":"query","description":"Zip code","required":false,"schema":{"type":"string"}},{"name":"uniqueInsuranceNumber","in":"query","description":"Unique insurance number","required":false,"schema":{"type":"string"}},{"name":"idSirocco","in":"query","description":"The id sirocco","required":false,"schema":{"type":"string"}},{"name":"exactSearch","in":"query","description":"Exact search on family name, first name and/or name","required":false,"schema":{"type":"boolean"}},{"name":"limit","in":"query","description":"The number of customers to return in the list","required":false,"schema":{"type":"integer","format":"int32","default":200}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Customers found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchCustomerListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}},"post":{"tags":["Person"],"summary":"Create customer","operationId":"createCustomer","parameters":[{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the customer to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerIndividual"}}},"required":true},"responses":{"201":{"description":"Customer created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerIndividualResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}},"patch":{"tags":["Person"],"summary":"Update customer","operationId":"updateCustomer","parameters":[{"name":"idCustomer","in":"query","description":"The id of the customer to update","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the customer to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerIndividual"}}},"required":true},"responses":{"200":{"description":"Customer updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerIndividualResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Customer not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/customer/credentials":{"get":{"tags":["Person"],"summary":"Load customer credentials by customer email or token","operationId":"loadCustomerCredentialsWithEmailOrToken","parameters":[{"name":"email","in":"query","description":"The email of the customer to load","required":false,"schema":{"type":"string"}},{"name":"token","in":"query","description":"The token of the customer to load","required":false,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Customer credentials found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchCustomerCredentialsResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Customer credentials not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}},"post":{"tags":["Person"],"summary":"Create customer credentials","operationId":"createCustomerCredentials","parameters":[{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the customer credentials to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCredentials"}}},"required":true},"responses":{"201":{"description":"Customer created with credentials","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCredentialsResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/company-fsk":{"post":{"tags":["LAT"],"summary":"Check if the company is concerned by the asset freeze or if the company is politically exposed","operationId":"checkCompany","parameters":[{"name":"unit","in":"query","description":"Type of company","required":true,"schema":{"type":"string","enum":["PROVIDENT","IARD","HEALTH"]},"example":"IARD"},{"name":"userId","in":"query","description":"User identifier (max size 50)","required":true,"schema":{"maxLength":50,"minLength":0,"type":"string"},"example":1200022},{"name":"partner","in":"query","description":"The partner using the service, external purpose only","required":false,"schema":{"type":"string","default":"CLEVAV17"},"example":"TESSI"},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Company to check","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyFsk"}}},"required":true},"responses":{"200":{"description":"Company Fsk status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusFskResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/relation/{idRelation}":{"patch":{"tags":["Relation"],"summary":"Delete relation","operationId":"deleteRelation","parameters":[{"name":"idRelation","in":"path","description":"The id of the relation to delete","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Relation deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelationResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/person/{idPerson}":{"get":{"tags":["Person"],"summary":"Load person","operationId":"loadPerson","parameters":[{"name":"idPerson","in":"path","description":"The id of the person to load","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Person loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Person not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}},"patch":{"tags":["Person"],"summary":"Update person","operationId":"updatePerson","parameters":[{"name":"idPerson","in":"path","description":"The id of the person to update","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the person to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Person"}}},"required":true},"responses":{"200":{"description":"Person updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Person not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/person/{idPerson}/conformity":{"patch":{"tags":["Person"],"summary":"Update conformity of a person","operationId":"updateConformity","parameters":[{"name":"idPerson","in":"path","description":"The id of the person to patch at conformity level","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","description":"The HR id of the updater","required":true,"schema":{"type":"string"}},{"name":"assetFreezing","in":"query","description":"The asset freezing flag","required":false,"schema":{"type":"string","enum":["TRUE","FALSE","PENDING"]}},{"name":"politicallyExposed","in":"query","description":"The politically exposed flag","required":false,"schema":{"type":"string","enum":["TRUE","FALSE","PENDING"]}},{"name":"enhancedVigilance","in":"query","description":"The enhanced vigilance flag","required":false,"schema":{"type":"string","enum":["TRUE","FALSE"]}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Person conformity updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Person not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/customer/{customerId}/credentials":{"patch":{"tags":["Person"],"summary":"Update customer credentials","operationId":"updateCustomerCredentials","parameters":[{"name":"customerId","in":"path","description":"The id of the customer to update","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the customer credentials to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCredentials"}}},"required":true},"responses":{"200":{"description":"Customer updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCredentialsResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/user/identities":{"get":{"tags":["Person"],"summary":"Search user identities","operationId":"searchUserIdentities","parameters":[{"name":"login","in":"query","description":"Le login de l'utilisateur cleva","required":true,"schema":{"type":"string"},"example":"CIM_LBPA"},{"name":"name","in":"query","description":"Le nom de l'utilisateur cleva","required":false,"schema":{"type":"string"},"example":"CIM_LBPA"},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Users identities found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserIdentityListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/relation":{"get":{"tags":["Relation"],"summary":"Search for relation between persons.","operationId":"searchRelation","parameters":[{"name":"parentId","in":"query","description":"the identifier of the person whose relationship is wanted","required":true,"schema":{"type":"string"},"example":3567121},{"name":"childId","in":"query","description":"the identifier of the other person whose relationship is wanted","required":false,"schema":{"type":"string"},"example":8768923},{"name":"date","in":"query","description":"the date of the relationship between these two persons","required":false,"schema":{"type":"string","format":"date"}},{"name":"typeCode","in":"query","description":"Filter on type code","required":false,"schema":{"type":"string","enum":["CONTACT","GROUPE","PROFIL","INTERVENANT_CONTRAT","PARENT","SPOUSE","CHILD"]},"example":"SPOUSE"},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Person relations found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelationListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/relation/indicators":{"get":{"tags":["Relation"],"summary":"Recovering summary information on the indicators of a person and their relationships.","operationId":"loadRelationshipIndicators","parameters":[{"name":"customerId","in":"query","description":"the customer identifier","required":false,"schema":{"type":"integer","format":"int64"},"example":3567121},{"name":"contractId","in":"query","description":"the contract identifier","required":false,"schema":{"type":"integer","format":"int64"},"example":8768923},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Person indicators informations found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonIndicatorsSynthesisResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Person indicators informations not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/providers":{"get":{"tags":["Provider"],"summary":"Search for providers.","operationId":"searchProviders","parameters":[{"name":"type","in":"query","description":"The type of the provider","required":true,"schema":{"type":"string"},"example":"EXPERT"},{"name":"areasCode","in":"query","description":"The code of the areas to search the providers","required":true,"schema":{"type":"string"},"example":44},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Providers found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProviderListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/providers/select-one":{"get":{"tags":["Provider"],"summary":"Select one provider.","operationId":"selectOneProvider","parameters":[{"name":"type","in":"query","description":"The type of the provider","required":true,"schema":{"type":"string"},"example":"EXPERT"},{"name":"areasCode","in":"query","description":"The code of the areas to search the providers","required":true,"schema":{"type":"string"},"example":44},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Provider selected found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchProviderResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"No provider selected found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/person/search":{"get":{"tags":["Person"],"summary":"Search persons light by criteria","operationId":"searchCustomerLight","parameters":[{"name":"familyName","in":"query","description":"Person family name","required":false,"schema":{"type":"string"}},{"name":"firstName","in":"query","description":"Person first name","required":false,"schema":{"type":"string"}},{"name":"phoneNumber","in":"query","description":"Customer phone number","required":false,"schema":{"type":"string"},"example":"0606060606"},{"name":"zipCode","in":"query","description":"Zip code","required":false,"schema":{"type":"string"}},{"name":"birthDate","in":"query","description":"Person birth date","required":false,"schema":{"type":"string","format":"date"}},{"name":"contractId","in":"query","description":"The contract identifier","required":false,"schema":{"type":"string"}},{"name":"contractNumber","in":"query","description":"The contract number","required":false,"schema":{"type":"string"}},{"name":"productCode","in":"query","description":"The product code","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum of items returned","required":false,"schema":{"type":"integer","format":"int32","default":200}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Customer light found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchCustomerLightListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/customer/{idCustomer}":{"get":{"tags":["Person"],"summary":"Load customer by id","operationId":"loadCustomerById","parameters":[{"name":"idCustomer","in":"path","description":"The id of the customer to load","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Customer found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerIndividualResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Customer not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/customer/{idCustomer}/credentials":{"get":{"tags":["Person"],"summary":"Load customer credentials by customer id","operationId":"loadCustomerCredentials","parameters":[{"name":"idCustomer","in":"path","description":"The id of the customer to load","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Customer credentials found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCredentialsResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Customer credentials not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/customer/{customerId}/advisor/claims-management-contact":{"get":{"tags":["Person"],"summary":"Load contact information for communication follow claim","operationId":"loadContactInformation","parameters":[{"name":"customerId","in":"path","description":"The customer's identifier","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Contact information found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Contact information not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/customer-bank":{"get":{"tags":["Customer Bank"],"summary":"Load a customer bank with a sirocco ID","operationId":"loadCustomerBank","parameters":[{"name":"idSirocco","in":"query","description":"Id Sirocco","required":true,"schema":{"type":"string"},"example":9737704},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Customer bank found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerBankResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Customer bank not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/customer-bank/search":{"get":{"tags":["Customer Bank"],"summary":"Search customer bank by parameters","operationId":"searchCustomerBankByInfo","parameters":[{"name":"channel","in":"query","description":"The channel code","required":true,"schema":{"type":"string"}},{"name":"media","in":"query","description":"The media code","required":true,"schema":{"type":"string"}},{"name":"firstName","in":"query","description":"Customer first name","required":false,"schema":{"type":"string"},"example":"Kante"},{"name":"lastName","in":"query","description":"Customer family name","required":false,"schema":{"type":"string"},"example":"Ngolo"},{"name":"birthDate","in":"query","description":"Customer birth date","required":false,"schema":{"type":"string","format":"date"},"example":"1989-02-27"},{"name":"mailAddress","in":"query","description":"Customer mail address","required":false,"schema":{"type":"string"},"example":"mail@domain.com"},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Customers bank found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerBankListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/customer-bank/detailed":{"get":{"tags":["Customer Bank"],"summary":"Load a customer bank with a sirocco ID with bank details by sirocco ID","operationId":"loadCustomerBankDetailed","parameters":[{"name":"channel","in":"query","description":"The channel code","required":true,"schema":{"type":"string"}},{"name":"media","in":"query","description":"The media code","required":true,"schema":{"type":"string"}},{"name":"idSirocco","in":"query","description":"The Sirocco ID","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Customer bank detail found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerBankDetailedResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Customer bank detail not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/customer-bank/bank-details":{"get":{"tags":["Customer Bank"],"summary":"Search the bank details of a customer bank by sirocco ID","operationId":"searchCustomerBankBankDetails","parameters":[{"name":"channel","in":"query","description":"The channel code","required":true,"schema":{"type":"string"}},{"name":"media","in":"query","description":"The media code","required":true,"schema":{"type":"string"}},{"name":"idSirocco","in":"query","description":"The Sirocco ID","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Customers bank found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerBankBankDetailsListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}}},"components":{"schemas":{"InvalidConstraintsResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"constraints":{"type":"object","additionalProperties":{"type":"string"}}}},"ResponseRest":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."}}},"CommunicationInformation":{"type":"object","properties":{"email":{"type":"string","description":"The email address","example":"email@domain.com"},"homePhone":{"type":"string","description":"The home phone number","example":"0102030405"},"cellphone":{"type":"string","description":"The cell phone number","example":"0607060706"},"claimStatementCommunicationByEmail":{"type":"boolean","description":"Claim statment communication by email"},"claimStatementCommunicationByMail":{"type":"boolean","description":"Claim statment communication by mail"},"claimStatementCommunicationBySMS":{"type":"boolean","description":"Claim statment communication by sms"},"contractCommunicationByEMail":{"type":"boolean","description":"Contract communication by email"},"contractCommunicationByMail":{"type":"boolean","description":"Contract communication by mail"},"contractCommunicationBySMS":{"type":"boolean","description":"Contract communication by sms"},"professionalPhone":{"type":"string","description":"The professional phone number","example":"0102030405"},"fax":{"maxLength":20,"minLength":0,"type":"string","description":"The fax number","example":"02134244"},"emailSendingAgreement":{"type":"string","description":"Authorization of the email solicitation","enum":["DOESNT_KNOW","SENDING_EMAILS_ACCEPTED","SENDING_EMAILS_REFUSED"]}},"description":"The communication options of the person"},"Person":{"type":"object","properties":{"communicationInformation":{"$ref":"#/components/schemas/CommunicationInformation"},"personalInformation":{"$ref":"#/components/schemas/PersonalInformation"}}},"PersonalInformation":{"required":["familyName"],"type":"object","properties":{"id":{"type":"string","description":"Person's id","example":"122754"},"titleCode":{"type":"string","description":"The title code","enum":["MISTER","MISS"]},"titleLabel":{"type":"string","description":"Title label","readOnly":true,"example":"Monsieur"},"languageCode":{"type":"string","description":"Language code","example":"FR"},"languageLabel":{"type":"string","description":"Language label","readOnly":true},"familyName":{"maxLength":50,"minLength":0,"type":"string","description":"The family name","example":"Doe"},"firstName":{"maxLength":50,"minLength":0,"type":"string","description":"The first name","example":"John"},"maidenName":{"maxLength":50,"minLength":0,"type":"string","description":"The surname prior to marriage","example":"Doe"},"marriedName":{"maxLength":50,"minLength":0,"type":"string","description":"The surname after the marriage","example":"Doe"},"completeName":{"type":"string","description":"Synthesis of family name and first name","readOnly":true,"example":"John Doe"},"gender":{"type":"string","description":"The gender of the person","enum":["FEMALE","MALE"]},"vip":{"type":"boolean","description":"Indicate if the person is a VIP"},"familySituation":{"type":"string","description":"The family situation's value","enum":["SINGLE","IN_RELATIONSHIP"]},"birthDate":{"type":"string","description":"The birth date","format":"date","example":"1991-03-21"},"deathDate":{"type":"string","description":"The death date","format":"date","example":"2091-03-21"},"birthPlace":{"maxLength":60,"minLength":0,"type":"string","description":"The birth place","example":"Rennes"},"countryCode":{"maxLength":5,"minLength":0,"type":"string","description":"The birth place country code","example":"FR"},"birthZipCode":{"maxLength":10,"minLength":0,"type":"string","description":"The birth zip code","example":"35000"},"birthTownCode":{"type":"string","description":"The birth town code (code INSEE)","example":"35238"},"socialSecurityNumber":{"maxLength":67,"minLength":0,"type":"string","description":"The social security number","example":"1234567890123"},"socialSecurityKey":{"maxLength":2,"minLength":0,"type":"string","description":"The social security key","example":"12"},"externalReference":{"type":"string","description":"Person external reference","example":"E-12345678"},"jobCategoryCode":{"type":"string","description":"Job category code","example":"27"},"jobCategoryLabel":{"type":"string","description":"Job category label","example":"Artisan"},"uniqueInsuranceNumber":{"type":"string","description":"The unique insurance number","example":"17582523"},"assetFreezing":{"type":"string","description":"Indicates if a person's assets are frozen","readOnly":true,"enum":["TRUE","FALSE","PENDING"]},"politicallyExposed":{"type":"string","description":"Indicates if the controlled person is politically exposed","readOnly":true,"enum":["TRUE","FALSE","PENDING"]},"enhancedVigilance":{"type":"string","description":"Indicates if the controlled person is subject to enhanced vigilance","readOnly":true,"enum":["TRUE","FALSE"]},"childrenNumber":{"type":"string","description":"Number of childrens"}},"description":"The personal information of the person"},"PersonResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/Person"}},"description":"Person response."},"Relation":{"required":["childId","typeCode"],"type":"object","properties":{"id":{"type":"string","description":"The relation's identifier","example":"65946782"},"childId":{"maxLength":14,"minLength":0,"type":"string","description":"The identifier of the person in relation to the person sought","example":"762983872"},"childName":{"maxLength":100,"minLength":0,"type":"string","description":"The name of the person in relation to the person sought","example":"Lucas"},"parentId":{"maxLength":14,"minLength":0,"type":"string","description":"The identifier of the person you are looking for","example":"65238293"},"parentName":{"maxLength":100,"minLength":0,"type":"string","description":"The name of the person you are looking for","example":"Pedro"},"startDate":{"type":"string","description":"Relation's start date","format":"date","example":"2022-07-15"},"endDate":{"type":"string","description":"Relation's start date","format":"date","example":"2022-07-28"},"typeCode":{"type":"string","description":"The type code","enum":["CONTACT","GROUPE","PROFIL","INTERVENANT_CONTRAT","PARENT","SPOUSE","CHILD"]},"typeLabel":{"maxLength":50,"minLength":0,"type":"string","description":"The type label"}},"description":"Details of relation between 2 persons"},"RelationResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/Relation"}},"description":"Relation response."},"AccountUse":{"type":"object","properties":{"id":{"type":"string","description":"The technical id of the account use.","readOnly":true},"account":{"type":"string","description":"account type","enum":["PRIMARY","RIB_1","RIB_2","RIB_3","RIB_4","RIB_5","RIB_6","RIB_7","RIB_8","RIB_9","RIB_10"]},"startDate":{"type":"string","description":"Validity start date","format":"date"},"endDate":{"type":"string","description":"Validity end date","format":"date"}},"description":"Use of bank details"},"BankDetails":{"type":"object","properties":{"id":{"type":"string","description":"The technical id of the bank details."},"accountUseList":{"type":"array","description":"Use of bank details","items":{"$ref":"#/components/schemas/AccountUse"}},"bankAddress1":{"type":"string","description":"The bank address line 1"},"bankAddress2":{"type":"string","description":"The bank address line 2"},"bankAddress3":{"type":"string","description":"The bank address line 3"},"bankAddress4":{"type":"string","description":"The bank address line 4"},"city":{"type":"string","description":"The name of the city.","example":"Rennes"},"zipCode":{"type":"string","description":"The zip code of the city.","example":"35000"},"countryCode":{"maxLength":5,"minLength":0,"type":"string","description":"The country code","example":"FR"},"type":{"type":"string","description":"The type of bank account"},"iban":{"maxLength":60,"minLength":0,"type":"string","description":"International Bank Account Number","example":"FR7610011000201234567890188"},"bic":{"maxLength":50,"minLength":0,"type":"string","description":"Bank Identifier Code"},"holder":{"type":"string","description":"The holder of the account","example":"John Doe"},"bank":{"maxLength":40,"minLength":0,"type":"string","description":"The name of the bank","example":"La Banque Postale"},"invalid":{"type":"boolean","description":"Indicates if the bank details are invalid","example":false},"creationDate":{"type":"string","description":"The creation date","format":"date-time","readOnly":true},"updateDate":{"type":"string","description":"The update date","format":"date-time","readOnly":true}}},"BankDetailsResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/BankDetails"}},"description":"Bank details response."},"AddressFsk":{"type":"object","properties":{"supplement":{"maxLength":60,"minLength":0,"type":"string","description":"Address complement (Apartment number, floor).","example":"Apartment 5"},"numberAndStreet":{"maxLength":60,"minLength":0,"type":"string","description":"The number and the name of the street","example":"12 rue de Paris"},"place":{"maxLength":40,"minLength":0,"type":"string","description":"The place name","example":"The Marais"},"city":{"$ref":"#/components/schemas/City"},"country":{"$ref":"#/components/schemas/Country"},"building":{"maxLength":60,"minLength":0,"type":"string","description":"The building number","example":"Building B"},"residenceBuilding":{"type":"string","description":"The building name.","example":"The Empire State Building"}},"description":"The address of the controlled person or company."},"City":{"type":"object","properties":{"name":{"maxLength":60,"minLength":0,"type":"string","description":"The name of the city.","example":"Paris"},"zipCode":{"maxLength":10,"minLength":0,"type":"string","description":"The zip code of the city.","example":"AA-7500"}},"description":"The city"},"Country":{"type":"object","properties":{"code":{"maxLength":5,"minLength":0,"type":"string","description":"Code of the country.","example":"FR"},"name":{"maxLength":50,"minLength":0,"type":"string","description":"Name of the Country","example":"FRANCE"},"isoCode":{"type":"string","description":"ISO code of the Country","example":"250"}},"description":"The country of birth of the controlled person."},"PersonFsk":{"required":["birthDate","firstName","idPerson","lastName","surname"],"type":"object","properties":{"idPerson":{"type":"string","description":"The reference id of the controlled person or company into the partner referential.","example":"ABC123456"},"address":{"$ref":"#/components/schemas/AddressFsk"},"gender":{"type":"string","description":"The gender of the controlled person.","enum":["FEMALE","MALE"]},"birthDate":{"type":"string","description":"The date of birth of the controlled person.","format":"date"},"lastName":{"type":"string","description":"The last name of the controlled person.","example":"Doe"},"firstName":{"type":"string","description":"The first name of the controlled person.","example":"John"},"surname":{"type":"string","description":"The surname name of the controlled person.","example":"Doe"},"birthCountry":{"$ref":"#/components/schemas/Country"},"birthDepartmentCode":{"type":"string","description":"The department code of France where the controlled person was born (overseas included), 99 if outside of France.","example":"44"},"birthCity":{"type":"string","description":"The city where the controlled person was born.","example":"PARIS"},"profession":{"type":"string","description":"The profession of the controlled person","example":"ouvrier"},"idSirocco":{"type":"string","description":"The SIROCCO identifier","example":"050487619"},"numQuotation":{"type":"string","description":"The quotation number","example":"VM013988070"}}},"ResultFsk":{"type":"object","properties":{"assetFreezing":{"type":"string","description":"Indicates whether a person's assets are frozen","enum":["TRUE","FALSE","PENDING"]},"politicallyExposed":{"type":"string","description":"Indicates whether the person controlled is politically exposed","enum":["TRUE","FALSE","PENDING"]},"returnCode":{"type":"string","description":"Indicates status return code","enum":["SUCCESS","DISABLE","ERROR"]},"codeSA":{"type":"string","description":"Indicates FSK functional code"}}},"StatusFskResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/ResultFsk"}},"description":"FSK response."},"FullPersonResultFsk":{"type":"object","properties":{"personsResultFsk":{"type":"array","description":"The list of person to be checked with their result fsk","items":{"$ref":"#/components/schemas/PersonResultFsk"}},"combineResultFsk":{"$ref":"#/components/schemas/ResultFsk"}}},"FullStatusFskResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/FullPersonResultFsk"}},"description":"Full Persons FSK response."},"PersonResultFsk":{"type":"object","properties":{"personFsk":{"$ref":"#/components/schemas/PersonFsk"},"resultFsk":{"$ref":"#/components/schemas/ResultFsk"}},"description":"The list of person to be checked with their result fsk"},"InterrogationFmf":{"type":"object","properties":{"idPolice":{"type":"integer","description":"Identification of the police","format":"int64","example":120034},"idClaim":{"type":"integer","description":"Identification of the claim","format":"int64","example":3297},"personFmf":{"$ref":"#/components/schemas/PersonFmf"},"companyType":{"type":"string","description":"Type of company concerned","example":"IARD","enum":["PROVIDENT","IARD"]},"referenceFmf":{"type":"string","description":"Unique reference number to call the FMF service.","format":"AAAAMMJJ-UUID","example":"20180426-c424ed95-ad81-433f-a7a9-91181fcb84ce"},"amount":{"type":"number","description":"Amount of the settlement","example":1256.39}}},"PersonFmf":{"required":["country"],"type":"object","properties":{"idPerson":{"type":"integer","description":"Id person","format":"int64","example":12324},"firstName":{"type":"string","description":"First Name","example":"John"},"lastName":{"type":"string","description":"Last Name","example":"Doe"},"birthDate":{"type":"string","description":"The date of birth.","format":"date","example":"1988-05-26"},"country":{"$ref":"#/components/schemas/Country"},"completeName":{"type":"string","description":"Association of the last name and the first name for physical person OR company name for an enterprise","example":"Doe John"},"physical":{"type":"boolean","description":"Indicates if the person is physical.","example":true}},"description":"Payment recipient"},"PersonFmfResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/ResultFmf"}},"description":"Person Fmf response."},"ResultFmf":{"type":"object","properties":{"returnCode":{"type":"string","description":"Indicates status return code","example":"0001"},"reference":{"type":"string","description":"Unique reference number to call the FMF service  (only filled in during a second interrogation)","format":"AAAAMMJJ-UUID","example":"20180426-c424ed95-ad81-433f-a7a9-91181fcb84ce"},"serviceActive":{"type":"boolean"},"functionalError":{"type":"boolean"},"technicalError":{"type":"boolean"},"hit":{"type":"boolean"},"error":{"type":"boolean"}}},"Address":{"type":"object","properties":{"id":{"type":"string","description":"The technical id of the address."},"supplement":{"maxLength":60,"minLength":0,"type":"string","description":"Address complement (Apartment number, floor).","example":"Apartment 5"},"numberAndStreet":{"maxLength":60,"minLength":0,"type":"string","description":"The number and the name of the street","example":"12 rue de Paris"},"place":{"maxLength":40,"minLength":0,"type":"string","description":"The place name","example":"The Marais"},"city":{"$ref":"#/components/schemas/City"},"country":{"$ref":"#/components/schemas/Country"},"inseeCode":{"maxLength":10,"minLength":0,"type":"string","description":"The insee code of the city","example":"35238"},"mainAddress":{"type":"boolean","description":"Define if it's the main address","example":true},"name":{"maxLength":60,"minLength":0,"type":"string","description":"The name of the specific address","example":"Home address"},"type":{"type":"string","description":"The type of address"},"resume":{"type":"string","description":"The resume of the address","readOnly":true},"building":{"maxLength":60,"minLength":0,"type":"string","description":"The building number","example":"Building B"}},"description":"The address of the customer"},"CustomerIndividual":{"required":["personalInformation"],"type":"object","properties":{"id":{"type":"string","description":"The technical id of the customer.","readOnly":true},"auxiliaryCode":{"maxLength":11,"minLength":0,"type":"string","description":"Customer code","example":"C-0154"},"prospect":{"type":"boolean","description":"Define if the customer is a prospect"},"paymentMode":{"maxLength":2,"minLength":0,"type":"string","description":"The payment mode","example":"CH"},"idSirocco":{"maxLength":10,"minLength":0,"type":"string","description":"Sirocco identification"},"communicationInformation":{"$ref":"#/components/schemas/CommunicationInformation"},"address":{"$ref":"#/components/schemas/Address"},"groupingFamilyCode":{"maxLength":20,"minLength":0,"type":"string","description":"The grouping family code","example":"F01"},"groupingFamilyLabel":{"type":"string","description":"The grouping family label","readOnly":true,"example":"Famille 01"},"groupingSubfamilyCode":{"maxLength":20,"minLength":0,"type":"string","description":"The grouping subfamily code","example":"F01"},"groupingSubfamilyLabel":{"maxLength":200,"minLength":0,"type":"string","description":"The grouping subfamily label","example":"Sous-famille 01-01"},"companyCode":{"type":"string","description":"The company code of the customer","readOnly":true,"example":"LBPA*"},"companyLabel":{"type":"string","description":"The company label of the customer","readOnly":true,"example":"LBPA*"},"brokerId":{"type":"string","description":"The id of the broker","readOnly":true},"brokerCode":{"type":"string","description":"The code of the broker","readOnly":true},"bankDetails":{"$ref":"#/components/schemas/BankDetails"},"personalInformation":{"$ref":"#/components/schemas/PersonalInformation"},"groupEmployee":{"type":"boolean","description":"Indicates if the customer is an employee of La Poste group","example":false},"coachInsurance":{"type":"boolean","description":"Indicates if the customer is a coach insurance","example":false},"type":{"type":"string","description":"Indicates if the customer is an human (NATURAL) or a company (LEGAL)","example":"NATURAL","enum":["NATURAL","LEGAL"]}}},"CustomerIndividualResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/CustomerIndividual"}},"description":"Customer individual response."},"CustomerCredentials":{"required":["personalInformation"],"type":"object","properties":{"id":{"type":"string","description":"The technical id of the customer.","readOnly":true},"auxiliaryCode":{"maxLength":11,"minLength":0,"type":"string","description":"Customer code","example":"C-0154"},"prospect":{"type":"boolean","description":"Define if the customer is a prospect"},"paymentMode":{"maxLength":2,"minLength":0,"type":"string","description":"The payment mode","example":"CH"},"idSirocco":{"maxLength":10,"minLength":0,"type":"string","description":"Sirocco identification"},"communicationInformation":{"$ref":"#/components/schemas/CommunicationInformation"},"address":{"$ref":"#/components/schemas/Address"},"groupingFamilyCode":{"maxLength":20,"minLength":0,"type":"string","description":"The grouping family code","example":"F01"},"groupingFamilyLabel":{"type":"string","description":"The grouping family label","readOnly":true,"example":"Famille 01"},"groupingSubfamilyCode":{"maxLength":20,"minLength":0,"type":"string","description":"The grouping subfamily code","example":"F01"},"groupingSubfamilyLabel":{"maxLength":200,"minLength":0,"type":"string","description":"The grouping subfamily label","example":"Sous-famille 01-01"},"companyCode":{"type":"string","description":"The company code of the customer","readOnly":true,"example":"LBPA*"},"companyLabel":{"type":"string","description":"The company label of the customer","readOnly":true,"example":"LBPA*"},"brokerId":{"type":"string","description":"The id of the broker","readOnly":true},"brokerCode":{"type":"string","description":"The code of the broker","readOnly":true},"bankDetails":{"$ref":"#/components/schemas/BankDetails"},"personalInformation":{"$ref":"#/components/schemas/PersonalInformation"},"groupEmployee":{"type":"boolean","description":"Indicates if the customer is an employee of La Poste group","example":false},"coachInsurance":{"type":"boolean","description":"Indicates if the customer is a coach insurance","example":false},"type":{"type":"string","description":"Indicates if the customer is an human (NATURAL) or a company (LEGAL)","example":"NATURAL","enum":["NATURAL","LEGAL"]},"password":{"type":"string","description":"Password","example":"EVZANskjezz654"},"eventCode":{"type":"string","description":"Event code","enum":["CREATION_WEB","UPDATE_EMAIL","PASSWORD_RESET","CREATION_SALES_PATH","UPDATE_PASSWORD","LOCKED_EMAIL_ACCOUNT","NO_EVENT"]},"tokenExpirationDate":{"type":"string","description":"Expiration date of token","format":"date-time","readOnly":true},"lastConnexionDate":{"type":"string","description":"Last connexion date","format":"date-time"},"token":{"type":"string","description":"Customer token","readOnly":true,"example":"MOIUfzaoizduyatzdfza"}}},"CustomerCredentialsResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/CustomerCredentials"}},"description":"Customer credentials response."},"CompanyFsk":{"required":["companyName","idPerson"],"type":"object","properties":{"idPerson":{"type":"string","description":"The reference id of the controlled person or company into the partner referential.","example":"ABC123456"},"address":{"$ref":"#/components/schemas/AddressFsk"},"companyName":{"type":"string","description":"The company name of the controlled company.","example":"My company Inc"},"siret":{"type":"string","description":"Establishment identifier according to Système d'identification du répertoire des entreprises","example":"36252187900034"}}},"CommunicationInformationLight":{"type":"object","properties":{"email":{"type":"string","description":"The email address","example":"email@domain.com"},"homePhone":{"type":"string","description":"The home phone number","example":"0102030405"},"cellphone":{"type":"string","description":"The cell phone number","example":"0607060706"}},"description":"Communication information light"},"PersonalInformationLight":{"required":["familyName"],"type":"object","properties":{"id":{"type":"string","description":"Person's id","example":"122754"},"titleCode":{"type":"string","description":"The title code","enum":["MISTER","MISS"]},"titleLabel":{"type":"string","description":"Title label","readOnly":true,"example":"Monsieur"},"languageCode":{"type":"string","description":"Language code","example":"FR"},"languageLabel":{"type":"string","description":"Language label","readOnly":true},"familyName":{"maxLength":50,"minLength":0,"type":"string","description":"The family name","example":"Doe"},"firstName":{"maxLength":50,"minLength":0,"type":"string","description":"The first name","example":"John"}},"description":"Personal information light"},"UserIdentity":{"required":["companyCode"],"type":"object","properties":{"activity":{"type":"string","description":"User activity type","enum":["COMMERCIAL","ADMINISTRATIVE","DIRECTION"]},"brokerId":{"type":"string","description":"Broker identifier if user is a broker","example":"1200024"},"communication":{"$ref":"#/components/schemas/CommunicationInformationLight"},"companyCode":{"type":"string","description":"Company code","example":"ADP**"},"encodePassword":{"type":"boolean","description":"Indicate if user's password is encoded"},"establishmentCode":{"type":"string","description":"Establishment code","example":"ADPE1"},"externalUser":{"type":"boolean","description":"Indicate if user is external"},"id":{"type":"string","description":"Indicate if user is external","readOnly":true},"lockedDate":{"type":"string","description":"Locked date","format":"date"},"login":{"type":"string","description":"User's login","example":"martin.dupont"},"personalInformation":{"$ref":"#/components/schemas/PersonalInformationLight"},"responsibleId":{"type":"string","description":"User's responsible identifer","example":"1200025"},"responsibleName":{"type":"string","description":"User's responsible name","example":"Martin Dupont"}},"description":"Generic data of a user identity"},"UserIdentityListResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"type":"array","items":{"$ref":"#/components/schemas/UserIdentity"}}},"description":"User identity response"},"RelationListResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"type":"array","items":{"$ref":"#/components/schemas/Relation"}}},"description":"Relation list response."},"CombineResultPersonIndicators":{"type":"object","properties":{"assetFreezing":{"type":"string","enum":["TRUE","FALSE","PENDING"]},"coachInsurance":{"type":"boolean"},"enhancedVigilance":{"type":"string","enum":["TRUE","FALSE"]},"groupEmployee":{"type":"boolean"},"message":{"type":"string"},"politicallyExposed":{"type":"string","enum":["TRUE","FALSE","PENDING"]}}},"PersonIndicators":{"type":"object","properties":{"assetFreezing":{"type":"string","enum":["TRUE","FALSE","PENDING"]},"coachInsurance":{"type":"boolean"},"email":{"type":"string"},"enhancedVigilance":{"type":"string","enum":["TRUE","FALSE"]},"firstName":{"type":"string"},"groupEmployee":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"name":{"type":"string","deprecated":true},"familyName":{"type":"string"},"politicallyExposed":{"type":"string","enum":["TRUE","FALSE","PENDING"]},"type":{"type":"string"}}},"PersonIndicatorsSynthesis":{"type":"object","properties":{"combineResultIndicators":{"$ref":"#/components/schemas/CombineResultPersonIndicators"},"personsIndicators":{"type":"array","items":{"$ref":"#/components/schemas/PersonIndicators"}}}},"PersonIndicatorsSynthesisResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/PersonIndicatorsSynthesis"}},"description":"Person Indicators Synthesis response."},"BusinessInformation":{"type":"object","properties":{"active":{"type":"boolean","description":"Check if the person is active","example":true},"capital":{"maxLength":14,"type":"number","description":"Capital","format":"double","example":100000},"collectiveConventionCode":{"maxLength":5,"minLength":0,"type":"string","description":"Collective convention code","example":"0003"},"collectiveConventionLabel":{"maxLength":300,"minLength":0,"type":"string","description":"Collective convention label","example":"Convention collective nationale des ouvriers de la navigation intérieure"},"companyName":{"maxLength":50,"minLength":0,"type":"string","description":"Company name","example":"ACME"},"companyNameSupplement":{"maxLength":50,"minLength":0,"type":"string","description":"Company name supplement"},"creationDate":{"type":"string","description":"Creation date","format":"date-time"},"externalReference":{"type":"string","description":"External reference"},"fiscalTerritory":{"type":"string","description":"Fiscal territory","example":"FCEMT"},"headcount":{"type":"integer","description":"Number of employees","format":"int32","example":20},"id":{"type":"string","description":"Individual identifier"},"languageCode":{"maxLength":4,"minLength":0,"type":"string","description":"Language code","example":"FR"},"languageLabel":{"maxLength":40,"minLength":0,"type":"string","description":"Language label"},"lastUpdateDate":{"type":"string","description":"Last update date","format":"date-time"},"legalForm":{"maxLength":5,"minLength":0,"type":"string","description":"Legal form","example":"Ste étrangère immatriculée RCS"},"nafCode":{"maxLength":10,"minLength":0,"type":"string","description":"Code Nomenclature d’Activités Française, INSEE","example":"56.10C"},"nafLabel":{"type":"string","description":"Label Nomenclature d’Activités Française, INSEE","readOnly":true},"nic":{"maxLength":5,"minLength":0,"type":"string","description":"rankink internal number","example":"00017"},"siren":{"maxLength":11,"minLength":0,"type":"string","description":"Business identifier according to Système d'identification du répertoire des entreprises"},"siret":{"maxLength":17,"minLength":0,"type":"string","description":"Establishment identifier according to Système d'identification du répertoire des entreprises"},"titleId":{"maxLength":20,"minLength":0,"type":"string","description":"Enterprise title Id","example":"AG"},"titleLabel":{"type":"string","description":"Enterprise title Label","readOnly":true,"example":"Agency"},"turnover":{"type":"number","description":"Annual revenue","format":"double","example":50000},"vip":{"type":"boolean","description":"VIP customer","example":true}},"description":"The business information of the provider","readOnly":true},"GeographicalArea":{"type":"object","properties":{"code":{"type":"string"},"id":{"type":"string"},"label":{"type":"string"},"numberMissions":{"type":"integer","format":"int32"},"numberMissionsInArea":{"type":"integer","format":"int32"},"score":{"type":"number","format":"double"}},"description":"The geographical areas"},"ProviderListResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"type":"array","items":{"$ref":"#/components/schemas/SearchProvider"}}},"description":"Provider list response."},"SearchProvider":{"type":"object","properties":{"address":{"$ref":"#/components/schemas/Address"},"communicationInformation":{"$ref":"#/components/schemas/CommunicationInformation"},"businessInformations":{"$ref":"#/components/schemas/BusinessInformation"},"companyCode":{"maxLength":20,"minLength":0,"type":"string","description":"The company code"},"companyLabel":{"maxLength":40,"minLength":0,"type":"string","description":"The company label"},"creationDate":{"type":"string","description":"The creation date","format":"date-time"},"establishmentId":{"maxLength":20,"minLength":0,"type":"string","description":"The establishment identifier"},"establishmentLabel":{"maxLength":40,"minLength":0,"type":"string","description":"The establishment label"},"externalReference":{"maxLength":30,"minLength":0,"type":"string","description":"The external reference"},"geographicalAreas":{"type":"array","description":"The geographical areas","items":{"$ref":"#/components/schemas/GeographicalArea"}},"id":{"type":"string","description":"The id"},"paymentMode":{"maxLength":20,"minLength":0,"type":"string","description":"The paymentMode"},"personalInformation":{"$ref":"#/components/schemas/PersonalInformation"},"reference":{"maxLength":11,"minLength":0,"type":"string","description":"The reference"},"typeCode":{"type":"string","description":"The type code"},"typeLabel":{"type":"string","description":"The type label"}}},"SearchProviderResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/SearchProvider"}},"description":"Search Provider response."},"BankDetailsListResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"type":"array","items":{"$ref":"#/components/schemas/BankDetails"}}},"description":"Bank details list response."},"CustomerLight":{"type":"object","properties":{"id":{"type":"string","description":"The technical id of the customer.","readOnly":true},"personalInformation":{"$ref":"#/components/schemas/PersonalInformation"},"communicationInformation":{"$ref":"#/components/schemas/CommunicationInformation"},"address":{"$ref":"#/components/schemas/Address"}}},"SearchCustomerLightListResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"type":"array","items":{"$ref":"#/components/schemas/CustomerLight"}}},"description":"Customer light list response."},"SearchCustomer":{"type":"object","properties":{"id":{"type":"string","description":"The technical id of the customer.","readOnly":true},"auxiliaryCode":{"maxLength":11,"minLength":0,"type":"string","description":"Customer code","example":"C-0154"},"prospect":{"type":"boolean","description":"Define if the customer is a prospect"},"paymentMode":{"maxLength":2,"minLength":0,"type":"string","description":"The payment mode","example":"CH"},"idSirocco":{"maxLength":10,"minLength":0,"type":"string","description":"Sirocco identification"},"communicationInformation":{"$ref":"#/components/schemas/CommunicationInformation"},"address":{"$ref":"#/components/schemas/Address"},"personalInformation":{"$ref":"#/components/schemas/PersonalInformation"},"uniqueInsuranceNumberSearch":{"type":"string","description":"The unique insurance number","example":"17582523"},"assetFreezing":{"type":"string","description":"Indicates if a person's assets are frozen","enum":["TRUE","FALSE","PENDING"]},"politicallyExposed":{"type":"string","description":"Indicates if the controlled person is politically exposed","enum":["TRUE","FALSE","PENDING"]},"enhancedVigilance":{"type":"string","description":"Indicates if the controlled person is subject to enhanced vigilance","enum":["TRUE","FALSE"]}}},"SearchCustomerListResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"type":"array","items":{"$ref":"#/components/schemas/SearchCustomer"}}},"description":"Customer list response."},"Contact":{"type":"object","properties":{"phoneNumber":{"type":"string","description":"Phone number for communication follow claim"},"email":{"type":"string","description":"Destination mail address for communication follow claim"}}},"ContactResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/Contact"}},"description":"Contact response."},"SearchCustomerCredentials":{"type":"object","properties":{"id":{"type":"string","description":"The technical id of the customer.","readOnly":true},"auxiliaryCode":{"maxLength":11,"minLength":0,"type":"string","description":"Customer code","example":"C-0154"},"prospect":{"type":"boolean","description":"Define if the customer is a prospect"},"paymentMode":{"maxLength":2,"minLength":0,"type":"string","description":"The payment mode","example":"CH"},"idSirocco":{"maxLength":10,"minLength":0,"type":"string","description":"Sirocco identification"},"communicationInformation":{"$ref":"#/components/schemas/CommunicationInformation"},"address":{"$ref":"#/components/schemas/Address"},"personalInformation":{"$ref":"#/components/schemas/PersonalInformation"},"uniqueInsuranceNumberSearch":{"type":"string","description":"The unique insurance number","example":"17582523"},"assetFreezing":{"type":"string","description":"Indicates if a person's assets are frozen","enum":["TRUE","FALSE","PENDING"]},"politicallyExposed":{"type":"string","description":"Indicates if the controlled person is politically exposed","enum":["TRUE","FALSE","PENDING"]},"enhancedVigilance":{"type":"string","description":"Indicates if the controlled person is subject to enhanced vigilance","enum":["TRUE","FALSE"]},"password":{"type":"string","description":"Password","example":"EVZANskjezz654"},"eventCode":{"type":"string","description":"Event code","enum":["CREATION_WEB","UPDATE_EMAIL","PASSWORD_RESET","CREATION_SALES_PATH","UPDATE_PASSWORD","LOCKED_EMAIL_ACCOUNT","NO_EVENT"]},"tokenExpirationDate":{"type":"string","description":"Expiration date of token","format":"date-time","readOnly":true},"lastConnexionDate":{"type":"string","description":"Last connexion date","format":"date-time"},"token":{"type":"string","description":"Customer token","readOnly":true,"example":"MOIUfzaoizduyatzdfza"}}},"SearchCustomerCredentialsResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/SearchCustomerCredentials"}},"description":"Search Customer credentials response."},"CustomerBank":{"type":"object","properties":{"customerBankPersonalInformation":{"$ref":"#/components/schemas/CustomerBankPersonalInformation"},"customerBankFamily":{"$ref":"#/components/schemas/CustomerBankFamily"},"customerBankMailingAddress":{"$ref":"#/components/schemas/CustomerBankMailingAddress"}}},"CustomerBankFamily":{"type":"object","properties":{"situation":{"type":"string","description":"The family situation","enum":["SINGLE","IN_RELATIONSHIP"]},"spouse":{"$ref":"#/components/schemas/CustomerBankPersonalInformation"},"children":{"type":"array","description":"List of personal informations of children","items":{"$ref":"#/components/schemas/CustomerBankPersonalInformation"}}},"description":"The customer bank family"},"CustomerBankMailingAddress":{"type":"object","properties":{"supplement":{"type":"string","description":"Address complement (Apartment number, floor).","example":"Apartment 5"},"residenceBuilding":{"type":"string","description":"The residence or building","example":"Les petits moutiers"},"numberAndStreet":{"type":"string","description":"The number and the name of the street","example":"12 rue de Paris"},"postBoxPlace":{"type":"string","description":"The place name","example":"The Marais"},"zipCode":{"type":"string","description":"The zip code"},"city":{"type":"string","description":"The city"},"phone":{"type":"string","description":"The phone number","example":"0207080910"},"mobilePhone":{"type":"string","description":"The mobile phone number","example":"0607080910"},"email":{"type":"string","description":"The email","example":"doe@john.com"},"inseeCode":{"type":"string","description":"The insee code of the city","example":"35238"},"countryLegalResidence":{"type":"string","description":"The country of legal residence","example":"250"},"countryLegalResidenceCode":{"type":"string","description":"The country of legal residence code","example":"FR"}},"description":"The customer bank mailing address"},"CustomerBankPersonalInformation":{"type":"object","properties":{"idSirocco":{"type":"string","description":"The Sirocco Id"},"title":{"type":"string","description":"The title","enum":["MISTER","MRS","MISS"]},"surname":{"type":"string","description":"The surname","example":"Doee"},"familyName":{"type":"string","description":"The family name","example":"Doe"},"firstName":{"type":"string","description":"The first name","example":"Johnette"},"birthDate":{"type":"string","description":"The birthdate","format":"date"},"groupEmployee":{"type":"boolean","description":"If the customer is a group employee"},"zipCode":{"type":"string","description":"The zip code of living place","example":"44100"},"city":{"type":"string","description":"The city of living place","example":"Nantes"},"birthTownInsee":{"type":"string","description":"The birth town insee code","example":"03297"},"birthTown":{"type":"string","description":"The birth town","example":"Angers"},"birthDepartment":{"type":"string","description":"The birth department","example":"49"},"birthCountryISO":{"type":"string","description":"The birth country","example":"250"},"birthCountryCode":{"type":"string","description":"The birth country","example":"FR"},"birthForeignWordingPlace":{"type":"string","description":"The wording of foreign birth place","example":"Karnataka"},"bgpCode":{"type":"string","description":"The BGP code"},"walletCode":{"type":"string","description":"The wallet code"},"rnvpIndicator":{"type":"string","description":"The RNVP indicator"},"standardizationKey":{"type":"string","description":"The standardization key"},"job":{"type":"string","description":"The job of the customer","example":"Independent worker"},"socioProfessionalCategory":{"type":"string","description":"The socio professional category","example":"Artisan"}},"description":"List of personal informations of children"},"CustomerBankResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/CustomerBank"}}},"CustomerBankListResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"type":"array","items":{"$ref":"#/components/schemas/CustomerBank"}}},"description":"CustomerBank list response."},"CustomerBankBankDetails":{"type":"object","properties":{"ribKey":{"type":"string","description":"The key rib","example":"47"},"ibanKey":{"type":"string","description":"The key iban","example":"FR76"},"countryCode":{"type":"string","description":"The country code","example":"FR"},"type":{"type":"string","description":"The type of bank account"},"iban":{"type":"string","description":"International Bank Account Number","example":"FR7610011000201234567890188"},"bic":{"type":"string","description":"Bank Identifier Code","example":"PSSTFRPPCNE"},"bicCode":{"type":"string","description":"BQ2 codeBic Code"},"holder":{"type":"string","description":"The holder of the account","example":"John Doe"},"bankCode":{"type":"string","description":"The code of the bank","example":"10011"},"officeCode":{"type":"string","description":"The code of the office","example":"00020"},"openingDateAccount":{"type":"string","description":"The opening date account","format":"date"},"accountNumber":{"type":"string","description":"The account number","example":"12345678901"},"contractStatus":{"type":"string","description":"The contract status","example":"2"}},"description":"The customer bank bank details"},"CustomerBankDetailed":{"type":"object","properties":{"customerBankPersonalInformation":{"$ref":"#/components/schemas/CustomerBankPersonalInformation"},"customerBankFamily":{"$ref":"#/components/schemas/CustomerBankFamily"},"customerBankMailingAddress":{"$ref":"#/components/schemas/CustomerBankMailingAddress"},"customerBankBankDetails":{"type":"array","description":"The customer bank bank details","items":{"$ref":"#/components/schemas/CustomerBankBankDetails"}}}},"CustomerBankDetailedResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/CustomerBankDetailed"}}},"CustomerBankBankDetailsListResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"type":"array","items":{"$ref":"#/components/schemas/CustomerBankBankDetails"}}},"description":"CustomerBank Bank Details list response."}},"securitySchemes":{"cim-token":{"type":"apiKey","description":"Format : \"TokenType TokenValue\" (where TokenType : CLIENTID or TOKENIAM)","name":"X-API-TOKEN","in":"header"},"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"x-cnp-trigram":"CPS","x-headmatter":{"readable_by":["interne"]}}